# Canceling a car booking The steps below explain how to cancel an existing car booking. > **Note:** Be sure to check the cancellation policy before canceling a booking. Cancellation deadlines and penalty amounts vary by vendor and rate type. | Step | Name | Endpoint | Details | | --- | --- | --- | --- | | 1. | [Get PNR](/openapi/tripapi/trip-pnrs/getpnrv3) (optional) | `GET /v3/trips/{tripId}/pnrs/{pnrId}` | Retrieve the car booking details before canceling. Use this endpoint to review the cancellation policy and any applicable penalties.**URL path requires:** `tripId` and `pnrId` from step 4 of the [creating a car booking](/spotnana/car_booking_workflow) workflow.**Response will contain:** The car booking details, including the cancellation deadline and the penalty amount or percentage that may apply.**Note:** Alternatively, you can use the [get trip details](/openapi/tripapi/trips/gettripdetailsv3) endpoint to view the booking information. | | 1. | [Cancel a car booking](/openapi/carapi/car/carcancelpnr) | `POST /v2/car/pnrs/{pnrId}/cancel-pnr` | Cancel an existing car booking and initiate a refund (if applicable, based on the cancellation policy).**URL path requires:** `pnrId` from step 4 of the [creating a car booking](/spotnana/car_booking_workflow) workflow.**Request body requires:** `pnrId`. Optionally, provide `customFieldUserResponses` if the cancellation requires custom field responses, and `waiveOffInfo` if any cancellation fees are being waived off/removed.**Response will contain:** `confirmationId`, which is the cancellation confirmation number issued by the vendor. |